---
updatedAt: 2025-11-06T21:44:33.000Z
agentTools:
  projectIndex: https://docs.robinpowered.com/llms.txt
---

# /reservations/seats/:id/exclusions

Creates an exclusion on a desk reservation

Creates an exclusion for a desk reservation.

See [Reservation](https://docs.robinpowered.com/reference/reservation) model for details about exclusions.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.robinpowered.com/v1.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "x-default": "Access-Token {{replace}}",
        "x-bearer-format": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/reservations/seats/{id}/exclusions": {
      "post": {
        "summary": "/reservations/seats/:id/exclusions",
        "description": "Creates an exclusion on a desk reservation",
        "operationId": "reservationsseatsidexclusions",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The ID of the reservation",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "start": {
                    "properties": {
                      "date_time": {
                        "type": "string",
                        "description": "An ISO-8601 timestamp representing the start of the reservation.",
                        "format": "date"
                      },
                      "time_zone": {
                        "type": "string",
                        "description": "A valid IANA timezone identifier, such as `America/New_York`."
                      }
                    },
                    "required": [
                      "date_time",
                      "time_zone"
                    ],
                    "type": "object",
                    "description": "A composite datetime / timezone object that represents the start of the reservation."
                  },
                  "end": {
                    "properties": {
                      "date_time": {
                        "type": "string",
                        "description": "An ISO-8601 timestamp representing the end of the reservation.",
                        "format": "date"
                      },
                      "time_zone": {
                        "type": "string",
                        "description": "A valid IANA timezone identifier, such as `America/New_York`."
                      }
                    },
                    "required": [
                      "date_time",
                      "time_zone"
                    ],
                    "type": "object",
                    "description": "A composite datetime / timezone object that represents the start of the reservation. When not given, the reservation is considered to have no end date. This is required for `hot` and `hoteled` reservations."
                  },
                  "notify_assignee": {
                    "type": "boolean",
                    "description": "Whether the reservee of the base reservation should be notified",
                    "default": true
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"meta\": {\n    \"status_code\": 200,\n    \"status\": \"OK\",\n    \"message\": \"\",\n    \"more_info\": {}\n  },\n  \"data\": {\n    \"id\": \"1750094646307980895\",\n    \"seat_reservation_id\": \"1711036424272217853\",\n    \"start\": {\n      \"date_time\": \"2020-10-09T00:00:00-0400\",\n      \"time_zone\": \"US/Eastern\"\n    },\n    \"end\": {\n      \"date_time\": \"2020-10-10T00:00:00-0400\",\n      \"time_zone\": \"US/Eastern\"\n    },\n    \"created_at\": \"2020-09-22T16:05:39+0000\",\n    \"updated_at\": \"2020-09-22T16:05:39+0000\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "meta": {
                      "type": "object",
                      "properties": {
                        "status_code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0
                        },
                        "status": {
                          "type": "string",
                          "example": "OK"
                        },
                        "message": {
                          "type": "string",
                          "example": ""
                        },
                        "more_info": {
                          "type": "object",
                          "properties": {}
                        }
                      }
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "1750094646307980895"
                        },
                        "seat_reservation_id": {
                          "type": "string",
                          "example": "1711036424272217853"
                        },
                        "start": {
                          "type": "object",
                          "properties": {
                            "date_time": {
                              "type": "string",
                              "example": "2020-10-09T00:00:00-0400"
                            },
                            "time_zone": {
                              "type": "string",
                              "example": "US/Eastern"
                            }
                          }
                        },
                        "end": {
                          "type": "object",
                          "properties": {
                            "date_time": {
                              "type": "string",
                              "example": "2020-10-10T00:00:00-0400"
                            },
                            "time_zone": {
                              "type": "string",
                              "example": "US/Eastern"
                            }
                          }
                        },
                        "created_at": {
                          "type": "string",
                          "example": "2020-09-22T16:05:39+0000"
                        },
                        "updated_at": {
                          "type": "string",
                          "example": "2020-09-22T16:05:39+0000"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "POST /reservations/seats/1711036424272217853/exclusions HTTP/1.1\nHost: api.robinpowered.com\nContent-Type: application/json\nAuthorization: Access-Token :accessToken\n\n{\n  \"start\": {\n  \t\"date_time\": \"2020-10-09T00:00:00-0400\",\n  \t\"time_zone\": \"US/Eastern\"\n  },\n  \"end\": {\n  \t\"date_time\": \"2020-10-10T00:00:00-0400\",\n  \t\"time_zone\": \"US/Eastern\"\n  }\n}"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```